Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596593 - Review Request: ibus-table-chinese - Chinese tables for IBus-Table
Review Request: ibus-table-chinese - Chinese tables for IBus-Table
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
: i18n
: 579613 579635 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 00:37 EDT by Caius Chance
Modified: 2011-01-04 15:59 EST (History)
7 users (show)

See Also:
Fixed In Version: ibus-table-chinese-1.3.0.20101206-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 03:38:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwu: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2010-05-27 00:37:23 EDT
Spec URL: http://kaio.fedorapeople.org/pkgs/ibus-table-chinese.spec
SRPM URL: http://kaio.fedorapeople.org/pkgs/ibus-table-chinese-1.3.0.20100527-1.fc13.src.rpm
Description: Chinese tables for IBus-Table
Comment 1 Caius Chance 2010-05-27 00:39:43 EDT
*** Bug 579635 has been marked as a duplicate of this bug. ***
Comment 2 Caius Chance 2010-05-27 00:40:06 EDT
*** Bug 579613 has been marked as a duplicate of this bug. ***
Comment 3 Jens Petersen 2010-06-27 22:08:02 EDT
Would it be better to subpackage some of the tables?
Comment 5 Peng Wu 2010-12-01 00:05:34 EST
+ Koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=2633878 is
successful.
+ rpmlint is output for SRPM and for RPM.
ibus-table-chinese.src: I: enchant-dictionary-not-found zh_CN
ibus-table-chinese.src: I: enchant-dictionary-not-found zh_TW
ibus-table-chinese.src:339: W: macro-in-comment %doc
ibus-table-chinese.src: W: invalid-url Source0: http://ibus.googlecode.com/files/ibus-table-chinese-1.3.0.20101126-Source.tar.gz HTTP Error 404: Not Found
ibus-table-chinese.spec:339: W: macro-in-comment %doc
ibus-table-chinese.spec: W: invalid-url Source0: http://ibus.googlecode.com/files/ibus-table-chinese-1.3.0.20101126-Source.tar.gz HTTP Error 404: Not Found
1 packages and 1 specfiles checked; 0 errors, 4 warnings.

+ source files match upstream url (sha1sum)
f92a8dd02cf94df9b81172b1763162d2e3ae6c25 ibus-table-chinese-1.3.0.20101126-Source.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ Macro use appears rather consistent.
+ no duplicates in %files.
+ file permissions are appropriate.

Note: there are two minor issues just mentioned here.
1. ibus-table-chinese-all sub package to pull all ibus tables has no files, so it is not generated at all.
maybe it can be generated later.
2. there is a warning when doing rpm -V ibus-table-chinese-*
# rpm -V ibus-table-chinese-wu
..5....T.    /usr/share/ibus-table/tables/wu.db
After discussed with Ding-Yi Chen, this need some upstream fixes, so will be considered later.

APPROVED.
Comment 6 Ding-Yi Chen 2010-12-01 01:06:49 EST
New Package SCM Request
=======================
Package Name: ibus-table-chinese
Short Description: Chinese tables for IBus-Table
Owners: dchen
Branches: f13 f14 el6
InitialCC:
Comment 7 Chen Lei 2010-12-01 03:36:58 EST
I don't think ibus-table-chinese-all subpackage is necessary or useful, maybe it'll be better to remove this meta-package. Debian and ibus-table-others don't include a such subpackage.
Comment 8 Caius Chance 2010-12-01 08:36:23 EST
I support this. ibus-table-chinese as metapackage with ibus-table-* as subpackage is the best way I reckon.

The reason for this is to minimize time of package maintenance. As there are more than 20 tables it is a disaster for the maintainer to keep them each in separated repository, except if they are all owned by someone who is not doing this as their work responsibilities.

I am already the victim of that "packaging time-sucking disaster", sincerely I don't want Ding-Yi to suffer from the same consequence.
Comment 9 Jason Tibbitts 2010-12-02 14:33:58 EST
This ticket is not assigned to anyone.  It should be assigned to the reviewer.
Please fix and re-raise the fedora-cvs flag.
Comment 10 Ding-Yi Chen 2010-12-02 18:59:23 EST
Caius,

Thanks, but even with ibus-table-chinese-all, I still need to maintain those tables as sub-packages. As Jens Petersen pointed out, we can use 

yum install "ibus-table-chinese-*" 
to install all chinese table in one go.
Comment 11 Ding-Yi Chen 2010-12-02 19:01:18 EST
Peng,

You need click on "take" on the right of 	
"Nobody's working on this, feel free to take it"
to make your review to be recognized.
Comment 12 Ding-Yi Chen 2010-12-02 19:44:55 EST
In case you are interested, I've released a new version, 
which removed ibus-table-chinese-all, and support out-of-source cmake build.

Spec URL: http://dchen.fedorapeople.org/files/rpms/ibus-table-chinese.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/ibus-table-chinese-1.3.0.20101201-1.el6.src.rpm
Comment 13 Caius Chance 2010-12-02 20:05:46 EST
I misunderstood. I also dislike -all.
Comment 14 Peng Wu 2010-12-02 21:07:56 EST
(In reply to comment #11)
> Peng,
> 
> You need click on "take" on the right of  
> "Nobody's working on this, feel free to take it"
> to make your review to be recognized.

OK. I took it.
Comment 15 Ding-Yi Chen 2010-12-02 21:37:21 EST
New Package SCM Request
=======================
Package Name: ibus-table-chinese
Short Description: Chinese tables for IBus-Table
Owners: dchen
Branches: f13 f14 el6
InitialCC:
Comment 16 Jason Tibbitts 2010-12-03 09:04:06 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2010-12-05 21:19:23 EST
ibus-table-chinese-1.3.0.20101206-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.0.20101206-1.fc14
Comment 18 Fedora Update System 2010-12-05 21:19:35 EST
ibus-table-chinese-1.3.0.20101206-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.0.20101206-1.fc13
Comment 19 Fedora Update System 2010-12-06 15:02:02 EST
ibus-table-chinese-1.3.0.20101206-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus-table-chinese'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.0.20101206-1.fc14
Comment 20 Fedora Update System 2010-12-17 03:38:17 EST
ibus-table-chinese-1.3.0.20101206-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2011-01-04 15:58:56 EST
ibus-table-chinese-1.3.0.20101206-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.